Bug 427799 - [RHEL-4] RFE: Add EDAC driver for Intel 3000/3010 chipsets
[RHEL-4] RFE: Add EDAC driver for Intel 3000/3010 chipsets
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.8
x86_64 Linux
low Severity low
: rc
: ---
Assigned To: Aristeu Rozanski
Martin Jenner
:
Depends On:
Blocks: RHEL4u7_relnotes
  Show dependency treegraph
 
Reported: 2008-01-07 11:56 EST by Aristeu Rozanski
Modified: 2008-07-24 15:24 EDT (History)
4 users (show)

See Also:
Fixed In Version: RHSA-2008-0665
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 15:24:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test patch (14.71 KB, patch)
2008-02-01 14:58 EST, Aristeu Rozanski
no flags Details | Diff

  None (edit)
Description Aristeu Rozanski 2008-01-07 11:56:38 EST
+++ This bug was initially created as a clone of Bug #295501 +++

2.6.23-rc* adds an EDAC driver for Intel's 3000 and 3010 chipsets
(CONFIG_EDAC_I3000).

Any plans to backport it to RHEL5?

-- Additional comment from pm-rhel@redhat.com on 2007-11-01 19:25 EST --
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

-- Additional comment from arozansk@redhat.com on 2007-11-02 10:57 EST --
Created an attachment (id=246791)
test patch


-- Additional comment from arozansk@redhat.com on 2007-11-09 14:59 EST --
Jordan,
can you please test one of these kernels and tell me how it goes?
http://people.redhat.com/arozansk/i3000/kernel-2.6.18-53.el5.i3000.i686.rpm
http://people.redhat.com/arozansk/i3000/kernel-2.6.18-53.el5.i3000.x86_64.rpm

Thanks


-- Additional comment from jr-redhatbugs2@quo.to on 2007-11-09 15:45 EST --
I tried kernel-2.6.18-53.el5.i3000.x86_64.rpm, and it doesn't appear that any
new EDAC driver was added (?):

# ls /lib/modules/2.6.18-53.el5.i3000/kernel/drivers/edac/
e752x_edac.ko  edac_mc.ko  k8_edac.ko

# grep EDAC /boot/config-2.6.18-53.el5.i3000
CONFIG_EDAC=y
CONFIG_EDAC_MM_EDAC=m
CONFIG_EDAC_E752X=m
CONFIG_EDAC_K8=m
CONFIG_EDAC_POLL=y

# dmesg | grep -i edac

-- Additional comment from arozansk@redhat.com on 2007-11-09 16:00 EST --
gah, my mistake, sorry.
I'm building a new one.


-- Additional comment from arozansk@redhat.com on 2007-11-12 16:37 EST --
Jordan, I just uploaded the new kernel packages, same link.


-- Additional comment from jr-redhatbugs2@quo.to on 2007-11-13 11:33 EST --
The new package has the same problem. :)

-- Additional comment from arozansk@redhat.com on 2007-11-13 12:06 EST --
hm
just checked. it's there:
aris@john:/tmp/t/t$ grep I3000 boot/config-2.6.18-53.el5.i3000 
CONFIG_EDAC_I3000=m

check if you are using the right one:
d7878a443640b923e3e67fa6fda532df  kernel-2.6.18-53.el5.i3000.i686.rpm
fc3211b72367280393964d0b27ef8826  kernel-2.6.18-53.el5.i3000.x86_64.rpm


-- Additional comment from arozansk@redhat.com on 2007-11-13 12:08 EST --
oh, I see, the x86_64 version is missing the module
duh


-- Additional comment from arozansk@redhat.com on 2007-11-13 12:21 EST --
hm, it's not supported on 64bits, that's why:
+       depends on EDAC_MM_EDAC && PCI && X86_32
I'll investigate why


-- Additional comment from arozansk@redhat.com on 2007-11-15 12:20 EST --
There's a patch sent to bluesmoke-devel to remove this limitation but Doug
Thompson still didn't pulled it. I'm building new packages with this issue fixed.


-- Additional comment from arozansk@redhat.com on 2007-11-15 13:26 EST --
New packages:
http://people.redhat.com/arozansk/i3000/kernel-2.6.18-53.el5.i3000_2.i686.rpm
http://people.redhat.com/arozansk/i3000/kernel-2.6.18-53.el5.i3000_2.x86_64.rpm


-- Additional comment from jr-redhatbugs2@quo.to on 2007-11-18 14:11 EST --
Excellent, that one appears to work (module loaded,
/sys/devices/system/edac/mc/mc0 populated).

Can I expect the driver to be included in future kernel updates for RHEL 5.1, or
will I have to wait until 5.2?

-- Additional comment from arozansk@redhat.com on 2007-11-19 11:02 EST --
Because it's not a bug fix, I think you'll have to wait for 5.2. If you need it
before, you can request a hotfix creating a ticket on Issue Tracker.


-- Additional comment from arozansk@redhat.com on 2007-11-19 11:07 EST --
Created an attachment (id=263601)
updated patch

This patch enables the build for x86_64


-- Additional comment from mjenner@redhat.com on 2007-12-14 11:18 EST --
QE ack for RHEL 5.2
Comment 1 Aristeu Rozanski 2008-02-01 14:58:26 EST
Created attachment 293761 [details]
test patch
Comment 2 Aristeu Rozanski 2008-02-01 14:58:52 EST
patch tested with success on nec-em21.rhts.boston.redhat.com
Comment 4 RHEL Product and Program Management 2008-02-14 12:38:36 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Vivek Goyal 2008-03-11 19:39:24 EDT
Committed in 68.19.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 8 Don Domingo 2008-05-14 20:07:03 EDT
added to RHEL4.7 Driver Updates:



<quote>


i3000_edac: driver added to support Intel 3000 3010 chipsets.
</quote>



please advise if any further revisions are required. thanks!
Comment 9 Don Domingo 2008-06-02 19:14:32 EDT
Hi,

the RHEL4.7 release notes deadline is on June 17, 2008 (Tuesday). they will
undergo a final proofread before being dropped to translation, at which point no
further additions or revisions will be entertained.

a mockup of the RHEL4.7 release notes can be viewed here:
http://intranet.corp.redhat.com/ic/intranet/RHEL4u7relnotesmockup.html

please use the aforementioned link to verify if your bugzilla is already in the
release notes (if it needs to be). each item in the release notes contains a
link to its original bug; as such, you can search through the release notes by
bug number.

Cheers,
Don
Comment 11 errata-xmlrpc 2008-07-24 15:24:23 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0665.html

Note You need to log in before you can comment on or make changes to this bug.